package com.zehong.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zehong.system.mapper.TRiskManagerMapper;
import com.zehong.system.domain.TRiskManager;
import com.zehong.system.service.ITRiskManagerService;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author zehong
 * @date 2022-07-01
 */
@Service
public class TRiskManagerServiceImpl implements ITRiskManagerService 
{
    @Autowired
    private TRiskManagerMapper tRiskManagerMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    @Override
    public TRiskManager selectTRiskManagerById(Long id)
    {
        return tRiskManagerMapper.selectTRiskManagerById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param tRiskManager 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<TRiskManager> selectTRiskManagerList(TRiskManager tRiskManager)
    {
        return tRiskManagerMapper.selectTRiskManagerList(tRiskManager);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param tRiskManager 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertTRiskManager(TRiskManager tRiskManager)
    {
        return tRiskManagerMapper.insertTRiskManager(tRiskManager);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param tRiskManager 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateTRiskManager(TRiskManager tRiskManager)
    {
        return tRiskManagerMapper.updateTRiskManager(tRiskManager);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】ID
     * @return 结果
     */
    @Override
    public int deleteTRiskManagerByIds(Long[] ids)
    {
        return tRiskManagerMapper.deleteTRiskManagerByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    @Override
    public int deleteTRiskManagerById(Long id)
    {
        return tRiskManagerMapper.deleteTRiskManagerById(id);
    }
}
